module AbExperimentsRails
  class Settings
    attr_accessor :spinner_starts_after
    attr_accessor :spinner_max_time
    attr_accessor :test_name
    attr_accessor :experiment_id
    attr_accessor :experiment_enabled

    def initialize(options = {})
      self.test_name = options[:test_name]
      self.experiment_id = options[:experiment_id]
      self.experiment_enabled = options[:experiment_enabled]
      self.spinner_starts_after = options[:spinner_starts_after]
      self.spinner_max_time = options[:spinner_max_time]
    end

    def url
      "//www.google-analytics.com/cx/api.js?experiment=#{experiment_id}"
    end

    def original_class
      "#{test_name}_original"
    end

    def variant_class
      "#{test_name}_variant"
    end

    def experiment_enabled?
      experiment_enabled == true
    end

    def force_param_name
      "#{test_name}_ab"
    end

    def choosen_variation_original
      0
    end

    def choosen_variation_variant
      1
    end
  end
end